Re: Python extension problem (32bit Opticks4.7.1, Win XP) - Interpreter could not be started

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Python extension problem (32bit Opticks4.7.1, Win XP) - Interpreter could not be started

Jan Helebrant
Ok,
I am just trying to find and highlight water steam cloud from power plants on Landsat 7 images:
http://gis.stackexchange.com/questions/95065/is-it-possible-to-highlight-water-steam-sources-on-landsat-7-image
no python programming intended.

Just found the extension and simply hoped that it could do some work easily - according to the tutorial:
http://opticks.org/confluence/display/opticksExtras/Load+Landsat+5+and+Landsat+7+data+and+convert+to+radiance,+reflectance,+and+temperature

Just tried the spectral extension (Spectral-1.8.0-linux.aeb, Opticks 4.11.0 64bit, Kubuntu 64bit) and got error again:

Error installing the extension.

Unable to install Spectral processing algorithms


Will try it with latest 32bit Opticks and appropriate extension on my 32bit XP machine and will see. Currently use SAGA-GIS and QGIS but Opticks seems to have better performance at least when viewing satellite images.

regards

Jan

------------------------------

Message: 3
Date: Mon, 2 Jun 2014 11:56:03 +0000
From: "Clarke, Trevor" <[hidden email]>
Subject: Re: [Opticks-users] Python extension problem (32bit Opticks
4.7.1, Win XP) - Interpreter could not be started
To: "[hidden email]"
<[hidden email]>
Message-ID:
<[hidden email]>
Content-Type: text/plain; charset="utf-8"

It?s likely that you need to set the python home in Tools->Options. However, the python scripts for Landsat import are deprecated and this functionality is available as a standard importer in the spectral extension. If you?re just looking for a Python sample, it should still work, it?s just not necessary any longer.

----------------------
Trevor R.H. Clarke
Software Engineer, Ball Aerospace
(937)320-7087


------------------------------------------------------------------------------
HPCC Systems Open Source Big Data Platform from LexisNexis Risk Solutions
Find What Matters Most in Your Big Data with HPCC Systems
Open Source. Fast. Scalable. Simple. Ideal for Dirty Data.
Leverages Graph Analysis for Fast Processing & Easy Data Exploration
http://p.sf.net/sfu/hpccsystems
_______________________________________________
Opticks-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opticks-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Python extension problem (32bit Opticks4.7.1, Win XP) - Interpreter could not be started

tclarke
Administrator

It could be a pemission issue. The user installing the Spectral extension must have write permission to the Opticks install. Here’s an example installation (using the command line method instead the GUI installer) This is based on Mint 13 (Ubuntu 12.04) which was the latest LTS release when 4.11.0 was released (14.04 has since become available but I’m not sure if there will be library conflicts with the newer version)

 

 

tclarke@dnoces ~ $ sudo dpkg -i opticks_4.11.0-1_amd64.deb

[sudo] password for tclarke:

(Reading database ... 194753 files and directories currently installed.)

Preparing to replace opticks 4.11.0-1 (using opticks_4.11.0-1_amd64.deb) ...

Unpacking replacement opticks ...

Setting up opticks (4.11.0-1) ...

Processing triggers for desktop-file-utils ...

Processing triggers for bamfdaemon ...

Rebuilding /usr/share/applications/bamf.index...

Processing triggers for gnome-menus ...

tclarke@dnoces ~ $ sudo mv Spectral-1.8.0-linux.aeb /opt/Opticks/Extensions/AutoInstall/

tclarke@dnoces ~ $ sudo /opt/Opticks/Bin/OpticksBatch

 

Opticks

Opticks Batch Processor, Version 4.11.0 Build 18013, Release Date 02 Apr 2013

Copyright (C) 2008, Ball Aerospace & Technologies Corp.

 

100% - Installing Spectral processing algorithms

      - Executing the startup plug-ins...

100% - Executing the startup plug-ins is complete

 

tclarke@dnoces ~ $ /opt/Opticks/Bin/Opticks

----------------------

Trevor R.H. Clarke

Software Engineer, Ball Aerospace

(937)320-7087

 

From: Jan Helebrant [mailto:[hidden email]]
Sent: Monday, June 09, 2014 4:17 PM
To: [hidden email]
Subject: Re: [Opticks-users] Python extension problem (32bit Opticks4.7.1, Win XP) - Interpreter could not be started

 

Ok,
I am just trying to find and highlight water steam cloud from power plants on Landsat 7 images:
http://gis.stackexchange.com/questions/95065/is-it-possible-to-highlight-water-steam-sources-on-landsat-7-image
no python programming intended.

Just found the extension and simply hoped that it could do some work easily - according to the tutorial:
<a href="http://opticks.org/confluence/display/opticksExtras/Load&#43;Landsat&#43;5&#43;and&#43;Landsat&#43;7&#43;data&#43;and&#43;convert&#43;to&#43;radiance,&#43;reflectance,&#43;and&#43;temperature">http://opticks.org/confluence/display/opticksExtras/Load+Landsat+5+and+Landsat+7+data+and+convert+to+radiance,+reflectance,+and+temperature

Just tried the spectral extension (Spectral-1.8.0-linux.aeb, Opticks 4.11.0 64bit, Kubuntu 64bit) and got error again:

Error installing the extension.

Unable to install Spectral processing algorithms


Will try it with latest 32bit Opticks and appropriate extension on my 32bit XP machine and will see. Currently use SAGA-GIS and QGIS but Opticks seems to have better performance at least when viewing satellite images.

regards

Jan

------------------------------

Message: 3
Date: Mon, 2 Jun 2014 11:56:03 +0000
From: "Clarke, Trevor" <[hidden email]>
Subject: Re: [Opticks-users] Python extension problem (32bit Opticks
4.7.1, Win XP) - Interpreter could not be started
To: "[hidden email]"
<[hidden email]>
Message-ID:
<[hidden email]>
Content-Type: text/plain; charset="utf-8"

It?s likely that you need to set the python home in Tools->Options. However, the python scripts for Landsat import are deprecated and this functionality is available as a standard importer in the spectral extension. If you?re just looking for a Python sample, it should still work, it?s just not necessary any longer.

----------------------
Trevor R.H. Clarke
Software Engineer, Ball Aerospace
(937)320-7087



This message and any enclosures are intended only for the addressee. Please
notify the sender by email if you are not the intended recipient. If you are
not the intended recipient, you may not use, copy, disclose, or distribute this
message or its contents or enclosures to any other person and any such actions
may be unlawful. Ball reserves the right to monitor and review all messages
and enclosures sent to or from this email address.

------------------------------------------------------------------------------
HPCC Systems Open Source Big Data Platform from LexisNexis Risk Solutions
Find What Matters Most in Your Big Data with HPCC Systems
Open Source. Fast. Scalable. Simple. Ideal for Dirty Data.
Leverages Graph Analysis for Fast Processing & Easy Data Exploration
http://p.sf.net/sfu/hpccsystems
_______________________________________________
Opticks-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opticks-users
Loading...